Arbor 3: FSM & BT Graph Editor 3.4.0

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
FlexibleGradient Class Reference

参照方法が複数ある柔軟なGradient型を扱うクラス。 More...

Inheritance diagram for FlexibleGradient:

## Public Member Functions
| FlexibleGradient (Gradient value)
| FlexibleGradientコンストラクタ More...
| FlexibleGradient (AnyParameterReference parameter)
| FlexibleGradientコンストラクタ More...
| FlexibleGradient (InputSlotAny slot)
| FlexibleGradientコンストラクタ More...
Public Member Functions inherited from FlexibleField< Gradient >
override object | GetValueObject ()
| 値をobjectで返す。 More...
| FlexibleField ()
| FlexibleFieldデフォルトコンストラクタ More...
| FlexibleField (T value)
| FlexibleFieldコンストラクタ More...
| FlexibleField (AnyParameterReference parameter)
| FlexibleFieldコンストラクタ More...
| FlexibleField (InputSlotAny slot)
| FlexibleFieldコンストラクタ More...

## Static Public Member Functions
static | operator Gradient (FlexibleGradient flexible)
| FlexibleGradientをGradientにキャスト。 More...
static | operator FlexibleGradient (Gradient value)
| GradientをFlexibleGradientにキャスト。 More...
Static Public Member Functions inherited from FlexibleField< Gradient >
static | operator T (FlexibleField< T > flexible)
| FlexibleFieldをTにキャスト。 More...
static | operator FlexibleField< T > (T value)
| TをFlexibleFieldにキャスト。 More...

## Additional Inherited Members
Properties inherited from FlexibleField< Gradient >
override System.Type | fieldType`[get]`
| フィールドの型を返す。 More...
FlexibleType | type`[get]`
| Typeを返す More...
Parameter | parameter`[get]`
| Parameterを返す。TypeがParameter以外の場合はnull。 More...
T | value`[get]`
| 値を返す More...

## Detailed Description

参照方法が複数ある柔軟なGradient型を扱うクラス。

## Constructor & Destructor Documentation

FlexibleGradient | ( | Gradient | value | ) |

FlexibleGradientコンストラクタ

Parameters

  value | 値

FlexibleGradient | ( | AnyParameterReference | parameter | ) |

FlexibleGradientコンストラクタ

Parameters

  parameter | パラメータ

FlexibleGradient | ( | InputSlotAny | slot | ) |

FlexibleGradientコンストラクタ

Parameters

  slot | スロット

## Member Function Documentation

static operator FlexibleGradient | ( | Gradient | value | ) |
| explicit static

GradientをFlexibleGradientにキャスト。

Parameters

  value | Gradient

static operator Gradient | ( | FlexibleGradient | flexible | ) |
| explicit static

FlexibleGradientをGradientにキャスト。

Parameters

  flexible | FlexibleGradient